Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.ConfirmType

    java.lang.Object
      java.lang.Enum<Sms.ConfirmType>
          com.skype.api.Sms.ConfirmType

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Sms.ConfirmType>

Enclosing class:
  Sms

    public static enum Sms.ConfirmType

extends java.lang.Enum<Sms.ConfirmType>
implements EnumConverting

Enum Constant Summary
`ID_MOBILE` Confirm mobile number as CLI for SkypeOut calls
`ID_SKYPEIN` unused currently
`ID_SMS` Confirm mobile number as SMS sender number

Field Summary
`static int` | `ID_MOBILE_VALUE`
`static int` | `ID_SKYPEIN_VALUE`
`static int` | `ID_SMS_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Sms.ConfirmType` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Sms.ConfirmType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.ConfirmType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID_SMS

    public static final Sms.ConfirmType ID_SMS

  Confirm mobile number as SMS sender number

### ID_MOBILE

    public static final Sms.ConfirmType ID_MOBILE

  Confirm mobile number as CLI for SkypeOut calls

### ID_SKYPEIN

    public static final Sms.ConfirmType ID_SKYPEIN

  unused currently

Field Detail

### ID_SMS_VALUE

    public static final int ID_SMS_VALUE

See Also:
  Constant Field Values

### ID_MOBILE_VALUE

    public static final int ID_MOBILE_VALUE

See Also:
  Constant Field Values

### ID_SKYPEIN_VALUE

    public static final int ID_SKYPEIN_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Sms.ConfirmType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.ConfirmType c : Sms.ConfirmType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.ConfirmType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Sms.ConfirmType get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.